uk.gov.hmrc.ct.computations

# CP997NI

###
Related Docs: class CP997NI | package computations

#### object CP997NI extends NorthernIrelandRateValidation with Calculated[CP997NI, ComputationsBoxRetriever] with Serializable

Linear Supertypes
Serializable, Serializable, Calculated[CP997NI, ComputationsBoxRetriever], NorthernIrelandRateValidation, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP997NI
2. Serializable
3. Serializable
4. Calculated
5. NorthernIrelandRateValidation
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(boxRetriever: ComputationsBoxRetriever): CP997NI

   Definition Classes
     CP997NI → Calculated

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def excessNorthernIrelandTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

   Definition Classes
     NorthernIrelandRateValidation

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def lossesBroughtForwardTotalsCorrect(retriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

15. #### def mainStreamLossesAllOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

16. #### def mainStreamLossesCanBeOffsetAgainstNirTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

17. #### def mainStreamLossesNotAllOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

18. #### def mayHaveNirLosses(computationsBoxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

19. #### def moreLossThanTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def nirActiveForCurrentAccountingPeriod(computationsBoxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

22. #### def nirLossesAllOffsetAgainstNITradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

23. #### def nirLossesCanBeOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

24. #### def nirLossesNotAllOffsetAgainstNITradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Calculated[CP997NI, ComputationsBoxRetriever]

### Inherited from NorthernIrelandRateValidation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped